Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.build.fs.parser
Enum Metadata.MetaType

    java.lang.Object
      java.lang.Enum<Metadata.MetaType>
          org.basex.build.fs.parser.Metadata.MetaType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Metadata.MetaType>

Enclosing class:
  Metadata

    public static enum Metadata.MetaType

extends java.lang.Enum<Metadata.MetaType>

Available metadata types.

Author:
  Bastian Lemke

Enum Constant Summary
`APPLICATION` Application resource.
`ARCHIVE` Archive resource (e.g.
`AUDIO` Audio resource (e.g.
`CONTACT` Contact resource (e.g.
`DOCUMENT` Document resource (e.g.
`IMAGE` Image resource (e.g.
`MESSAGE` Message resource (e.g. email).
`MOVIE` Movie resource (e.g.
`PRESENTATION` Presentation resource (e.g.
`TEXT` Text resource (e.g. plain text file).
`UNKNOWN` Unknown resource type.
`XML` XML(-based) resource.

Method Summary
`byte[]` | `get()` Returns the enum value as byte array.
`static Metadata.MetaType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Metadata.MetaType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### APPLICATION

    public static final Metadata.MetaType APPLICATION

  Application resource.

### ARCHIVE

    public static final Metadata.MetaType ARCHIVE

  Archive resource (e.g. ZIP file).

### AUDIO

    public static final Metadata.MetaType AUDIO

  Audio resource (e.g. MP3 file).

### CONTACT

    public static final Metadata.MetaType CONTACT

  Contact resource (e.g. VCF file).

### DOCUMENT

    public static final Metadata.MetaType DOCUMENT

  Document resource (e.g. DOC file).

### IMAGE

    public static final Metadata.MetaType IMAGE

  Image resource (e.g. JPG file).

### MESSAGE

    public static final Metadata.MetaType MESSAGE

  Message resource (e.g. email).

### MOVIE

    public static final Metadata.MetaType MOVIE

  Movie resource (e.g. MPEG file).

### PRESENTATION

    public static final Metadata.MetaType PRESENTATION

  Presentation resource (e.g. PPT file).

### TEXT

    public static final Metadata.MetaType TEXT

  Text resource (e.g. plain text file).

### UNKNOWN

    public static final Metadata.MetaType UNKNOWN

  Unknown resource type.

### XML

    public static final Metadata.MetaType XML

  XML(-based) resource.

Method Detail

### values

    public static Metadata.MetaType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Metadata.MetaType c : Metadata.MetaType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Metadata.MetaType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public byte[] get()

  Returns the enum value as byte array.

  Returns:
    the enum value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD